srf_list(1)

NAME

srf_list - Lists and/or counts the contents of an SRF file

SYNOPSIS

srf_list [options] srf_archive ...

DESCRIPTION

srf_list lists the filenames held within one or more SRF container. To simply count the contents rather than list them specify the -c option. Note that when in count-only mode if an index is present it will be used to determine the number of entries in the index and hence sequences in the SRF file. The index cannot be used when listing the filenames however as the index itself does not contain the full filenames.

Note that it is not possible to count sequences matching certain patterns or with specific flags set. srf_info is a more general purpose tool that may cover this.

OPTIONS

-c  Counts sequences instead of listing them. Note that this may be substantially faster than listing if an index exists.

-v  Verbose mode. This gives summary count information per file rather than just the total at the end.

-l  Long format. When listing sequence names this also provides information on the position in the archive and the size of the sequence specific data block and the size of the shared data block header.

EXAMPLES

To count the total number of sequences in several SRF files:

    srf_list -c *.srf

To produce a "fofn" (file of filenames) for an SRF file:

    srf_list foo.srf > foo.fofn

AUTHOR

James Bonfield, Wellcome Trust Sanger Institute